Class | Tk::BWidget::ComboBox
In: | tk/lib/tkextlib/bwidget/combobox.rb
Parent: | Tk::BWidget::SpinBox

### Methods

get_listbox icursor post unpost

### Included Modules

Scrollable

### Constants

TkCommandNames | = | ['ComboBox'.freeze].freeze
WidgetClassName | = | 'ComboBox'.freeze

### Public Instance methods

get_listbox(&b)

[Source]

    # File tk/lib/tkextlib/bwidget/combobox.rb, line 26
      def get_listbox(&b)
        win = window(tk_send_without_enc('getlistbox'))
        win.instance_eval(&b) if b
        win
      end

icursor(idx)

[Source]

    # File tk/lib/tkextlib/bwidget/combobox.rb, line 32
      def icursor(idx)
        tk_send_without_enc('icursor', idx)
      end

post()

[Source]

    # File tk/lib/tkextlib/bwidget/combobox.rb, line 36
      def post
        tk_send_without_enc('post')
        self
      end

unpost()

[Source]

    # File tk/lib/tkextlib/bwidget/combobox.rb, line 41
      def unpost
        tk_send_without_enc('unpost')
        self
      end

[Validate]